
__doc__ = """
Core modules from Cecil's library
""".lstrip()

__all__ = ["objproxy", "config"]

from . import objproxy, config

try:
    unicode
except NameError:
    unicode = str

def ascii(s):
    if isinstance(s, bytes):
        return s
    elif isinstance(s, unicode):
        return s.encode(u'ascii')
    else:
        return str(s)

def utf8(s):
    if isinstance(s, bytes):
        return s
    elif isinstance(s, unicode):
        return s.encode(u'utf-8')
    else:
        return str(s)

def from_ascii(s):
    if isinstance(s, unicode):
        return s
    else:
        return s.decode(u'ascii')

def from_latin1(s):
    if isinstance(s, unicode):
        return s
    else:
        return s.decode(u'latin-1')

def from_utf8(s):
    if isinstance(s, unicode):
        return s
    else:
        return s.decode(u'utf-8')

