#!/usr/bin/python
from distutils.core import setup
import os
import sys
import shutil
import distutils.sysconfig
try:
    from cPickle import load, dump
except ImportError:
    from pickle import load, dump

packages=['cecil', 'cecil.core']

if sys.argv[1] == 'clean':
    for dir in packages:
        dir_to_remove = os.path.join(distutils.sysconfig.get_python_lib(), dir)
        assert len(dir_to_remove) > (len(distutils.sysconfig.get_python_lib()) + 1)
        shutil.rmtree(dir_to_remove)
else:
    majorversion = '1.1.0'
    buildnumber = 0
    if os.path.exists('buildnum'):
        fd = open('buildnum', 'rb')
        try:
            vinfo = load(fd)
            mv, bn = vinfo
            if mv == majorversion:
                buildnumber = bn
        except:
            pass
        fd.close()
    buildnumber += 1
    fd = open('buildnum', 'wb')
    dump((majorversion, buildnumber), fd)
    fd.close()
    
    ver = '%s' % (majorversion,)
    print("Building version %s" % (ver,))
    setup(
        name='pycecil',
        version=ver,
        packages=packages       
        )
    if os.path.exists("setup.py") and os.path.exists("build"):
        shutil.rmtree("build")
